[WordPress]「エラー:Cookieがブロックされたり使用されているブラウザがサポートしていません。」 エラーが発生した場合 - WordPress 情報パッケージ
ベストセラー人気 WordPress テーマTop 30 詳細

[WordPress]「エラー:Cookieがブロックされたり使用されているブラウザがサポートしていません。」 エラーが発生した場合

Last Updated:2019年2月21日| 2のコメント
  • Naver ブログを共有する
  • Naver バンドに共有する
  • Facebook 共有する
  • Twitter 共有する
  • 카카오스토리공유하기

Cookies are blocked or not supported by your browser

はじめ

WordPress の更新、新規インストールまたはサーバー移転などの操作の後、次のようなエラーが表示され、ログインできない問題が発生する場合があります。

エラー:Cookieがブロックされたり使用されているブラウザがサポートしていません。 WordPressを使用するには、クッキーを有効にする必要があります(ERROR:Cookies are blocked or not supported by your browser。You must enable cookies to use WordPress.)

この場合、いくつかの原因があります。 これらのクッキーの問題が発生した場合の対処法をまとめてみました。

Varnish有効

サーバー移転作業の後 "Cookieがブロックされたり使用されているブラウザがサポートしていません"エラーが表示され、ログインできない場合は、サーバーに ワニスが有効になっていることを確認します。

プラグインのクラッシュ

プラグインのクラッシュによってでもこの問題が発生する可能性があります。 次のような措置を取ってください。

  • クッキーを削除しないように設定します。
  • FTPに接続して / WP-コンテンツ/plugins/ 下で以下の重要なプラグインからプラグインの名前を変えてみてください。 その後、名前が変更されたプラグインが無効になります。
  • ログインページを更新します。
  • ログインを試してください。 最初の試みの際に失敗すると、もう一度試してください。 多くの場合、XNUMX番目の試みの試み時に正常に動作することですね。
  • 続き問題が解決されると、名前を変更し、プラグインフォルダの名前をそのまま変更します。
  • 次のプラグインについて同じ手順を繰り返します。 プラグインの問題の場合、問題となるプラグインを見つけることができるでしょう。

それでも問題が解決しない場合、サーバーにVarnishが有効になっていないことを確認してください。

他の方法

上記の方法で問題が解決しない場合 WP-config.phpを ファイルに次のコードを追加します。

define('ADMIN_COOKIE_PATH', '/');
define('COOKIE_DOMAIN', '');
define('COOKIEPATH', '');
define('SITECOOKIEPATH', '');

それでもだめならば WP-config.phpを ファイルに次のコードを追加します。

define('COOKIE_DOMAIN', false);

これ 適切なソリューションではないようだが 問題が解決することができるでしょう。 マルチサイトでのクッキーの問題としてログインされていない場合、上記の行を追加したら、問題が解決されることがありますが、 COOKIE_DOMAIN을 間違った情報に設定した場合、他の問題を引き起こす可能性があるとします(参照)。 詳細については、 http://codex.wordpress.org/Editing_wp-config.php#Set_Cookie_Domainを参照してください。



2のコメント

コメント

  1. 運営者様こんにちは

    duplicatorにサーバー移転をした

    エラー:Cookieがブロックされたり使用されているブラウザがサポートしていません。 WordPressを使用するには、クッキーを有効にする必要があります。

    このように浮かんでログインがダメですね

    wp-config.phpファイルにコード4行と次の1行まで追加してみた解決にならなく

    サーバーにvarnishが活性化されていることを知ってみように

    確認方法がわからなくてコメント残し..! 回答お願いします

    応答
    • サーバーにvarnishが有効かどうかは、サーバー管理者、ウェブホスティング会社に問い合わせてみてください。
      通常は該当しません。

      マルチサイトはないのです。 duplicator無料版でマルチサイトは移転することができません。

      上記の措置に問題が解決されなかった場合、次の行を使用しているテーマのフォルダ内のfunctions.phpファイルの一番下に追加してみてください?

      setcookie(TEST_COOKIE, 'WP Cookie check', 0, COOKIEPATH, COOKIE_DOMAIN);
      if ( SITECOOKIEPATH != COOKIEPATH ) setcookie(TEST_COOKIE, 'WP Cookie check', 0, SITECOOKIEPATH, COOKIE_DOMAIN);

      上記の行を追加していただき、問題が解決するかお知らせください。

      応答